Skip to navigation Skip to main content
Menu
ADD ANYTHING HERE OR JUST REMOVE IT…
Login / Register
Sign in Create an Account

Lost your password?

0 items .ރ 0.00
Menu
0 items
Awaiting product image
Click to enlarge
Home Uncategorized Mix Original Sticks 150grm
Placeholder
Mix Butter Corn Sticks 20grm .ރ 8.00
Back to products
Placeholder
Mix Hot Chilli Sticks 150grm .ރ 45.00

Mix Original Sticks 150grm

.ރ 45.00

5 in stock

SKU: 09061 Category: Uncategorized
Share:
  • Shipping & Delivery
Shipping & Delivery

Related products

Placeholder

ALBAL SANDWICH BISCUITS 95g

.ރ 5.00
Add to cart

CHICKI CHUNK CHICKEN IN SUNFLOWER-OIL 160 g

.ރ 35.00
Add to cart

COAST FULL CREAM MILK POWDER 1800 g RFC005

.ރ 410.00
Add to cart

COAST FULL CREAM MILK POWDER 900 g RFC008

.ރ 210.00
Add to cart

COAST MILK POWDER(SACHET) 2250 g RFC009

.ރ 430.00
Add to cart

FOSTER CLARK COLOR 28 ml ORANGE

.ރ 25.00
Add to cart

FOSTER CLARK COLOR 28 ml RED

.ރ 25.00
Add to cart

JULIES CHEESE SANDWICH 126 g

.ރ 28.00
Add to cart
    Based on WoodMart theme© 2026 WooCommerce Themes.
    payments
    Start typing to see posts you are looking for.
    • Menu
    • Categories
    Set your categories menu in Header builder -> Mobile -> Mobile menu element -> Show/Hide -> Choose menu
    • Login / Register
    Shopping cart
    Close
    Home
    0 items Cart
    My account